POST api/StickerDetail/upsert?stickerID={stickerID}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
stickerID

globally unique identifier

Required

Body Parameters

Collection of StickerDetailViewModel
NameDescriptionTypeAdditional information
stickerField

StickerFieldViewModel

None.

active

boolean

Required

backgroundColor

string

Required

Max length: 6

bold

boolean

Required

fontSize

integer

Required

foregroundColor

string

Required

Max length: 6

ID

globally unique identifier

None.

italic

boolean

Required

staticValue

string

Max length: 20

sticker

StickerViewModel

None.

sticker_ID

globally unique identifier

Required

stickerField_ID

globally unique identifier

Required

stringLength

integer

None.

stringStart

integer

None.

zoneNumber

integer

Required

Request Formats

application/json, text/json

Sample:
[
  {
    "stickerField": {
      "previewValue": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "cb641cca-c431-4595-9c8d-27e229f3a3f2",
      "isProductionSite": true,
      "isStatic": true,
      "separator": "sample string 6",
      "stickerType_ID": "8fb5be47-91ae-418c-b073-a8159d0d7d5f",
      "technicalDescription": "sample string 8"
    },
    "active": true,
    "backgroundColor": "sample string 2",
    "bold": true,
    "fontSize": 4,
    "foregroundColor": "sample string 5",
    "id": "c5ce734c-2f30-4490-923c-222480fc1021",
    "italic": true,
    "staticValue": "sample string 8",
    "sticker": {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "5f8172fc-6f4f-444a-8bf7-f715dddd531e",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "f192ff87-c120-40cb-9dee-768de3108503",
          "contractItem_ID": "19066682-5835-4cda-bf50-a276c3def30e",
          "departement_ID": "ef370661-db06-4033-94d4-69fc60c69d29",
          "departmentItem_ID": "4666e834-e408-4ce5-a921-1244a8fe4ccd",
          "iD": "b068c9a7-7e07-4ee8-9f85-9d1ee5dcd204",
          "site_ID": "bb7448ba-a489-4291-bf1e-a3cfac19f775",
          "siteCustomer_ID": "01a0f85d-8f24-4683-96c8-3439603d9f81",
          "sticker_ID": "b8dfa860-2e2b-45f6-8e82-4a1acb070ac8",
          "garment_ID": "b2144824-1bf7-4cec-ae02-89c166fb1e83"
        },
        {
          "active": true,
          "contract_ID": "f192ff87-c120-40cb-9dee-768de3108503",
          "contractItem_ID": "19066682-5835-4cda-bf50-a276c3def30e",
          "departement_ID": "ef370661-db06-4033-94d4-69fc60c69d29",
          "departmentItem_ID": "4666e834-e408-4ce5-a921-1244a8fe4ccd",
          "iD": "b068c9a7-7e07-4ee8-9f85-9d1ee5dcd204",
          "site_ID": "bb7448ba-a489-4291-bf1e-a3cfac19f775",
          "siteCustomer_ID": "01a0f85d-8f24-4683-96c8-3439603d9f81",
          "sticker_ID": "b8dfa860-2e2b-45f6-8e82-4a1acb070ac8",
          "garment_ID": "b2144824-1bf7-4cec-ae02-89c166fb1e83"
        }
      ],
      "details": [],
      "active": true,
      "code": "sample string 2",
      "id": "a552b276-b9a5-4a74-bc3c-62e012d23c57",
      "stickerType_ID": "f0e97488-44cf-44af-a86e-2e0cc444beee",
      "stickerRelation_IDs": [
        "5c9157a4-8d83-485d-b3d1-b90a967d2be4",
        "039c1bb1-e7ce-467a-9739-b2a2e01f67bb"
      ],
      "site_ID": "503e4b21-8588-4880-a62b-a208e9ea96b0"
    },
    "sticker_ID": "a38cccea-f081-459d-9fe5-5cc01378e758",
    "stickerField_ID": "72758b60-dfcb-4cf0-baff-5e0ff800920d",
    "stringLength": 1,
    "stringStart": 1,
    "zoneNumber": 11
  },
  {
    "stickerField": {
      "previewValue": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "cb641cca-c431-4595-9c8d-27e229f3a3f2",
      "isProductionSite": true,
      "isStatic": true,
      "separator": "sample string 6",
      "stickerType_ID": "8fb5be47-91ae-418c-b073-a8159d0d7d5f",
      "technicalDescription": "sample string 8"
    },
    "active": true,
    "backgroundColor": "sample string 2",
    "bold": true,
    "fontSize": 4,
    "foregroundColor": "sample string 5",
    "id": "c5ce734c-2f30-4490-923c-222480fc1021",
    "italic": true,
    "staticValue": "sample string 8",
    "sticker": {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "5f8172fc-6f4f-444a-8bf7-f715dddd531e",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "f192ff87-c120-40cb-9dee-768de3108503",
          "contractItem_ID": "19066682-5835-4cda-bf50-a276c3def30e",
          "departement_ID": "ef370661-db06-4033-94d4-69fc60c69d29",
          "departmentItem_ID": "4666e834-e408-4ce5-a921-1244a8fe4ccd",
          "iD": "b068c9a7-7e07-4ee8-9f85-9d1ee5dcd204",
          "site_ID": "bb7448ba-a489-4291-bf1e-a3cfac19f775",
          "siteCustomer_ID": "01a0f85d-8f24-4683-96c8-3439603d9f81",
          "sticker_ID": "b8dfa860-2e2b-45f6-8e82-4a1acb070ac8",
          "garment_ID": "b2144824-1bf7-4cec-ae02-89c166fb1e83"
        },
        {
          "active": true,
          "contract_ID": "f192ff87-c120-40cb-9dee-768de3108503",
          "contractItem_ID": "19066682-5835-4cda-bf50-a276c3def30e",
          "departement_ID": "ef370661-db06-4033-94d4-69fc60c69d29",
          "departmentItem_ID": "4666e834-e408-4ce5-a921-1244a8fe4ccd",
          "iD": "b068c9a7-7e07-4ee8-9f85-9d1ee5dcd204",
          "site_ID": "bb7448ba-a489-4291-bf1e-a3cfac19f775",
          "siteCustomer_ID": "01a0f85d-8f24-4683-96c8-3439603d9f81",
          "sticker_ID": "b8dfa860-2e2b-45f6-8e82-4a1acb070ac8",
          "garment_ID": "b2144824-1bf7-4cec-ae02-89c166fb1e83"
        }
      ],
      "details": [],
      "active": true,
      "code": "sample string 2",
      "id": "a552b276-b9a5-4a74-bc3c-62e012d23c57",
      "stickerType_ID": "f0e97488-44cf-44af-a86e-2e0cc444beee",
      "stickerRelation_IDs": [
        "5c9157a4-8d83-485d-b3d1-b90a967d2be4",
        "039c1bb1-e7ce-467a-9739-b2a2e01f67bb"
      ],
      "site_ID": "503e4b21-8588-4880-a62b-a208e9ea96b0"
    },
    "sticker_ID": "a38cccea-f081-459d-9fe5-5cc01378e758",
    "stickerField_ID": "72758b60-dfcb-4cf0-baff-5e0ff800920d",
    "stringLength": 1,
    "stringStart": 1,
    "zoneNumber": 11
  }
]

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

None.